Skip to content

# Module: "core-api/utils"

## Index

### Classes

- Singleton

### Functions

- cssNames
- openExternal
- prevDefault
- stopPropagation

## Functions

### cssNames

▸ cssNames(...`args`: IClassName[]): string

Defined in src/renderer/utils/cssNames.ts:8

Parameters:

Name | Type
--- | ---
`...args` | IClassName[]

Returns: string

### openExternal

▸ openExternal(`url`: string): Promise‹void›

Defined in src/common/utils/openExternal.ts:4

Parameters:

Name | Type
--- | ---
`url` | string

Returns: Promise‹void›

### prevDefault

▸ prevDefault‹E›(`callback`: function): (Anonymous function)

Defined in src/renderer/utils/prevDefault.ts:15

Type parameters:

▪ E: SyntheticEvent | Event

Parameters:

▪ callback: function

▸ (`evt`: E): any

Parameters:

Name | Type
--- | ---
`evt` | E

Returns: (Anonymous function)

### stopPropagation

▸ stopPropagation(`evt`: Event | SyntheticEvent): void

Defined in src/renderer/utils/prevDefault.ts:24

Parameters:

Name | Type
--- | ---
`evt` | Event | SyntheticEvent

Returns: void